## com.google.gwt.core.ext.typeinfo
Class JParameterizedType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JParameterizedType

    public class JParameterizedType

extends JType

Represents a parameterized type in a declaration.

Method Summary
`java.lang.String` `getJNISignature()` The signature of the raw type.
`JType` `getLeafType()`
`java.lang.String` `getNonParameterizedQualifiedSourceName()`
`java.lang.String` `getParameterizedQualifiedSourceName()`
`java.lang.String` `getQualifiedSourceName()` Everything is fully qualified and includes the < and > in the signature.
`JClassType` `getRawType()`
`java.lang.String` `getSimpleSourceName()` In this case, the raw type name.
`JType[]` `getTypeArgs()`
`JArrayType` `isArray()`
`JClassType` `isClass()`
`JClassType` `isInterface()`
`JParameterizedType` `isParameterized()`
`JPrimitiveType` `isPrimitive()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`isClassOrInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJNISignature

    public java.lang.String getJNISignature()

  The signature of the raw type.

  Specified by:
    `getJNISignature` in class `JType`

### getLeafType

    public JType getLeafType()

  Overrides:
    `getLeafType` in class `JType`

### getNonParameterizedQualifiedSourceName

    public java.lang.String getNonParameterizedQualifiedSourceName()

### getParameterizedQualifiedSourceName

    public java.lang.String getParameterizedQualifiedSourceName()

  Overrides:
    `getParameterizedQualifiedSourceName` in class `JType`

### getQualifiedSourceName

    public java.lang.String getQualifiedSourceName()

  Everything is fully qualified and includes the < and > in the signature.

  Specified by:
    `getQualifiedSourceName` in class `JType`

### getRawType

    public JClassType getRawType()

### getSimpleSourceName

    public java.lang.String getSimpleSourceName()

  In this case, the raw type name.

  Specified by:
    `getSimpleSourceName` in class `JType`

### getTypeArgs

    public JType[] getTypeArgs()

### isArray

    public JArrayType isArray()

  Specified by:
    `isArray` in class `JType`

### isClass

    public JClassType isClass()

  Specified by:
    `isClass` in class `JType`

### isInterface

    public JClassType isInterface()

  Specified by:
    `isInterface` in class `JType`

### isParameterized

    public JParameterizedType isParameterized()

  Specified by:
    `isParameterized` in class `JType`

### isPrimitive

    public JPrimitiveType isPrimitive()

  Specified by:
    `isPrimitive` in class `JType`